## python-keycloak 4.6.2+dfsg

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = python-keycloak
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-keycloak 0.24.0-1A~5.0.0.202204270822

=== debian/changelog ===
python-keycloak (0.24.0-1A~5.0.0.202204270822) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Wed, 27 Apr 2022 08:22:06 +0200

python-keycloak (0.24.0-1) unstable; urgency=low

  * Bug #54689: source package automatically created by stdeb 0.10.0

 -- Juan Pedro Torres <torres-munoz.extern@univention.de>  Tue, 26 Apr 2022 10:26:39 +0200

=== debian/control ===
Source: python-keycloak
Maintainer: Univention GmbH <packages@univention.de>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 11),
 python3-all,
 python3-setuptools,
Standards-Version: 3.9.1
Homepage: https://github.com/marcospereirampj/python-keycloak

Package: python3-keycloak
Architecture: all
Depends:
 python3-jose (>= 1.4.0),
 python3-requests (>= 2.20.0),
 python3-urllib3,
 ${misc:Depends},
 ${python3:Depends},
Description: python3-keycloak is a Python3 package providing access to the
 [![CircleCI](https://circleci.com/gh/marcospereirampj/python-keycloak/tree/master.svg?style=svg)](https://circleci.com/gh/marcospereirampj/python-keycloak/tree/master)
 [![Documentation Status](https://readthedocs.org/projects/python-keycloak/badge/?version=latest)](http://python-keycloak.readthedocs.io/en/latest/?badge=latest)
 .
 .
 Python Keycloak
 ====================
 .
 For review- see https://github.com/marcospereirampj/python-keycloak
 .
 **python-keycloak** is a Python package providing access to the Keycloak API.
 .
 ## Installation
 .
 ### Via Pypi Package:
 .
 ``` $ pip install python-keycloak ```
 .
 ### Manually
 .
 ``` $ python setup.py install ```

## python-keycloak 0.24.1-1A~5.0.0.202302031917

=== debian/changelog ===
python-keycloak (0.24.1-1A~5.0.0.202302031917) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 03 Feb 2023 19:17:06 +0100

python-keycloak (0.24.1-1) unstable; urgency=medium

  * Bug #31771: migrate tabs to spaces

 -- Florian Best <best@univention.de>  Fri, 03 Feb 2023 04:17:42 +0100

=== debian/rules ===
#!/usr/bin/make -f
#
# Like what you see? Join us!
# https://www.univention.com/about-us/careers/vacancies/
#
# Copyright 2022-2023 Univention GmbH
#
# http://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <http://www.gnu.org/licenses/>.

# This file was automatically generated by stdeb 0.10.0 at
# Tue, 12 Apr 2022 17:19:05 +0200

%:
	dh $@ --with python3 --buildsystem=python_distutils

override_dh_auto_clean:
	python3 setup.py clean -a
	find . -name \*.pyc -exec rm {} \;

override_dh_auto_build:
	python3 setup.py build --force

override_dh_auto_install:
	python3 setup.py install --force --root=debian/python3-keycloak --no-compile -O0 --install-layout=deb

override_dh_python2:
	dh_python2 --no-guessing-versions

## python-keycloak 0.24.1-1A~5.1.0.202312191856

=== debian/changelog ===
python-keycloak (0.24.1-1A~5.1.0.202312191856) ucs5-1-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 19 Dec 2023 18:56:43 +0100

=== debian/control ===
Source: python-keycloak
Section: python
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-httmock,
 python3-jose (>= 1.4.0),
 python3-requests (>= 2.20.0),
 python3-setuptools,
 python3-urllib3,
Standards-Version: 3.9.1
Homepage: https://github.com/marcospereirampj/python-keycloak

Package: python3-keycloak
Architecture: all
Depends:
 python3-jose (>= 1.4.0),
 python3-requests (>= 2.20.0),
 python3-urllib3,
 ${misc:Depends},
 ${python3:Depends},
Description: Pure Python package providing access to the Keycloak API
 Keycloak is an Open Source Identity and Access Management. This package
 provides an API for accessing and maintaining it.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

=== debian/rules ===
--- 
+++ 
@@ -30,22 +30,5 @@
 # /usr/share/common-licenses/AGPL-3; if not, see
 # <http://www.gnu.org/licenses/>.
 
-# This file was automatically generated by stdeb 0.10.0 at
-# Tue, 12 Apr 2022 17:19:05 +0200
-
 %:
-	dh $@ --with python3 --buildsystem=python_distutils
-
-override_dh_auto_clean:
-	python3 setup.py clean -a
-	find . -name \*.pyc -exec rm {} \;
-
-override_dh_auto_build:
-	python3 setup.py build --force
-
-override_dh_auto_install:
-	python3 setup.py install --force --root=debian/python3-keycloak --no-compile -O0 --install-layout=deb
-
-override_dh_python2:
-	dh_python2 --no-guessing-versions
-
+	dh $@ --with python3 --buildsystem=pybuild

## python-keycloak 0.27.0-1A~5.0.0.202204201457

=== debian/changelog ===
python-keycloak (0.27.0-1A~5.0.0.202204201457) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Wed, 20 Apr 2022 14:57:35 +0200

python-keycloak (0.27.0-1) unstable; urgency=low

  * Bug #54666: source package automatically created by stdeb 0.10.0

 -- Arvid Requate <requate@univention.de>  Tue, 12 Apr 2022 17:19:05 +0200

=== debian/control ===
Source: python-keycloak
Maintainer: Univention GmbH <packages@univention.de>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 11),
 python3-all,
 python3-setuptools,
Standards-Version: 3.9.1
Homepage: https://github.com/marcospereirampj/python-keycloak

Package: python3-keycloak
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-requests (>=2.20.0),
 python3-jose (>=1.4.0),
 python3-urllib3,
Description: python3-keycloak is a Python3 package providing access to the
 [![CircleCI](https://circleci.com/gh/marcospereirampj/python-keycloak/tree/master.svg?style=svg)](https://circleci.com/gh/marcospereirampj/python-keycloak/tree/master)
 [![Documentation Status](https://readthedocs.org/projects/python-keycloak/badge/?version=latest)](http://python-keycloak.readthedocs.io/en/latest/?badge=latest)
 .
 .
 Python Keycloak
 ====================
 .
 For review- see https://github.com/marcospereirampj/python-keycloak
 .
 **python-keycloak** is a Python package providing access to the Keycloak API.
 .
 ## Installation
 .
 ### Via Pypi Package:
 .
 ``` $ pip install python-keycloak ```
 .
 ### Manually
 .
 ``` $ python setup.py install ```

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 #
-# Like what you see? Join us!
-# https://www.univention.com/about-us/careers/vacancies/
-#
-# Copyright 2022-2023 Univention GmbH
+# Copyright 2022 Univention GmbH
 #
 # http://www.univention.de/
 #
@@ -30,5 +27,22 @@
 # /usr/share/common-licenses/AGPL-3; if not, see
 # <http://www.gnu.org/licenses/>.
 
+# This file was automatically generated by stdeb 0.10.0 at
+# Tue, 12 Apr 2022 17:19:05 +0200
+
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=python_distutils
+
+override_dh_auto_clean:
+	python3 setup.py clean -a
+	find . -name \*.pyc -exec rm {} \;
+
+override_dh_auto_build:
+	python3 setup.py build --force
+
+override_dh_auto_install:
+	python3 setup.py install --force --root=debian/python3-keycloak --no-compile -O0 --install-layout=deb
+
+override_dh_python2:
+	dh_python2 --no-guessing-versions
+

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-keycloak-$1\.tar\.gz/ \
  https://github.com/marcospereirampj/python-keycloak/tags .*/v?(\d\S*)\.tar\.gz

## python-keycloak 3.3.0+dfsg

=== debian/changelog ===
python-keycloak (3.3.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #964085).

 -- Daniel Leidert <dleidert@debian.org>  Tue, 04 Jul 2023 02:38:32 +0200

=== debian/control ===
Source: python-keycloak
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Daniel Leidert <dleidert@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-alabaster (>= 0.7.12~) <!nocheck>,
               python3-all,
               python3-commonmark <!nocheck>,
               python3-cryptography <!nocheck>,
               python3-deprecation <!nocheck>,
               python3-freezegun (>= 1.2.1~) <!nocheck>,
               python3-jose (>= 3.3.0~),
               python3-mock <!nocheck>,
               python3-poetry-core,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-recommonmark (>=0.7.1~) <!nocheck>,
               python3-requests,
               python3-requests-toolbelt <!nocheck>,
               python3-setuptools,
               python3-toml
Standards-Version: 4.6.2
Homepage: https://github.com/marcospereirampj/python-keycloak
Vcs-Browser: https://salsa.debian.org/dleidert/python-keycloak
Vcs-Git: https://salsa.debian.org/dleidert/python-keycloak.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-keycloak
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python Keycloak API library (Python 3)
 Keycloak is an open source identity and access management solution. This
 package provides access to the API via Python.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_SYSTEM=pyproject
export PYBUILD_NAME=keycloak
# this requires a Keycloak instance
export PYBUILD_TEST_ARGS=--ignore=tests/test_keycloak_admin.py --ignore=tests/test_keycloak_uma.py --ignore=tests/test_keycloak_openid.py

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf .pytest_cache
	dh_auto_clean

execute_after_dh_clean:
	rm -rf docs/.build

execute_after_dh_auto_install:
	rm -f ${CURDIR}/debian/python3-keycloak/usr/lib/python3*/dist-packages/*.md ${CURDIR}/debian/python3-keycloak/usr/lib/python3*/dist-packages/LICENSE

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	export KEYCLOAK_ADMIN=admin; export KEYCLOAK_ADMIN_PASSWORD=admin; export KEYCLOAK_HOST=localhost; export KEYCLOAK_PORT=8080; dh_auto_test
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%,dversionmangle=s%\+dfsg$%%,repacksuffix=+dfsg" \
  https://github.com/marcospereirampj/python-keycloak/tags \
  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-keycloak 3.9.0+dfsg

=== debian/changelog ===
python-keycloak (3.9.0+dfsg-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 3.9.0+dfsg
  * remove extraneous dependency on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Mon, 26 Feb 2024 08:17:00 +0100

python-keycloak (3.3.0+dfsg-2) unstable; urgency=medium

  * d/rules: Fix upstream version number. Upstream uses "0.0.0" in
    pyproject.toml and sets it in the github publish workflow. Thus, we
    have to fix this somehow.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 20 Jul 2023 00:03:02 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                python3-deprecation <!nocheck>,
                python3-freezegun (>= 1.2.1~) <!nocheck>,
                python3-jose (>= 3.3.0~),
-               python3-mock <!nocheck>,
                python3-poetry-core,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
@@ -27,13 +26,14 @@
 Homepage: https://github.com/marcospereirampj/python-keycloak
 Vcs-Browser: https://salsa.debian.org/dleidert/python-keycloak
 Vcs-Git: https://salsa.debian.org/dleidert/python-keycloak.git
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-python, autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python3-keycloak
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
+Provides: ${python3:Provides}
 Description: Python Keycloak API library (Python 3)
  Keycloak is an open source identity and access management solution. This
  package provides access to the API via Python.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+# export DH_VERBOSE=1
+
+include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_SYSTEM=pyproject
 export PYBUILD_NAME=keycloak
@@ -8,12 +11,11 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-override_dh_auto_clean:
-	rm -rf .pytest_cache
-	dh_auto_clean
+execute_after_dh_auto_clean:
+	sed -i -e "/^version =/c version = \"0.0.0\"" $(CURDIR)/pyproject.toml
 
-execute_after_dh_clean:
-	rm -rf docs/.build
+execute_before_dh_auto_build:
+	sed -i -e "/^version =/c version = \"$(DEB_VERSION_UPSTREAM:+dfsg=)\"" $(CURDIR)/pyproject.toml
 
 execute_after_dh_auto_install:
 	rm -f ${CURDIR}/debian/python3-keycloak/usr/lib/python3*/dist-packages/*.md ${CURDIR}/debian/python3-keycloak/usr/lib/python3*/dist-packages/LICENSE

## python-keycloak 4.2.2+dfsg

=== debian/changelog ===
python-keycloak (4.2.2+dfsg-1) unstable; urgency=low

  [ Alexandre Detiste ]
  TODO: this needs async_property

  * Fix gbp.conf to match actual Salsa setup
  * Update Vcs URL
  * Use new dh-sequence-python3
  * Update build dependencies:
    + python3-httpx
    - python3-jose
    + python3-jwcrypto

  [ Michael Fladischer ]
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Remove python3-setuptools and python3-toml from Build-Depends.
  * Add python3-async-property to Build-Depends.
  * Add myself to d/copyright and as uploader.
  * Bump Standards-Version to 4.7.0.

 -- Michael Fladischer <fladi@debian.org>  Sun, 28 Jul 2024 21:45:04 +0000

## python-keycloak 4.6.2+dfsg

=== debian/changelog ===
python-keycloak (4.6.2+dfsg-1) unstable; urgency=low

  [ Alexandre Detiste ]
  * TODO is done

  [ Michael Fladischer ]
  * New upstream version 4.6.2+dfsg

 -- Michael Fladischer <fladi@debian.org>  Wed, 23 Oct 2024 20:24:56 +0000

=== debian/control ===
Source: python-keycloak
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Daniel Leidert <dleidert@debian.org>,
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-alabaster (>= 0.7.12~) <!nocheck>,
 python3-all,
 python3-async-property,
 python3-commonmark <!nocheck>,
 python3-cryptography <!nocheck>,
 python3-deprecation <!nocheck>,
 python3-freezegun (>= 1.2.1~) <!nocheck>,
 python3-httpx <!nocheck>,
 python3-jwcrypto <!nocheck>,
 python3-poetry-core,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-runner <!nocheck>,
 python3-recommonmark (>=0.7.1~) <!nocheck>,
 python3-requests,
 python3-requests-toolbelt <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/marcospereirampj/python-keycloak
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-keycloak
Vcs-Git: https://salsa.debian.org/python-team/packages/python-keycloak.git
Testsuite: autopkgtest-pkg-python, autopkgtest-pkg-pybuild
Rules-Requires-Root: no

Package: python3-keycloak
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: Python Keycloak API library (Python 3)
 Keycloak is an open source identity and access management solution. This
 package provides access to the API via Python.
 .
 This package installs the library for Python 3.

## python-keycloak 5.3.1+dfsg

=== debian/changelog ===
python-keycloak (5.3.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Change httpx proxies argument to mounts (closes: #1099273).
  * Build-depend on python3-pytest-asyncio to fix warnings from test suite.

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Mar 2025 01:53:18 +0000

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
+ python3-aiofiles (>= 24.1.0~) <!nocheck>,
  python3-alabaster (>= 0.7.12~) <!nocheck>,
  python3-all,
  python3-async-property,
@@ -20,6 +21,7 @@
  python3-jwcrypto <!nocheck>,
  python3-poetry-core,
  python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-runner <!nocheck>,
  python3-recommonmark (>=0.7.1~) <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYBUILD_TEST_ARGS=--ignore=tests/test_keycloak_admin.py --ignore=tests/test_keycloak_uma.py --ignore=tests/test_keycloak_openid.py
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 execute_after_dh_auto_clean:
 	sed -i -e "/^version =/c version = \"0.0.0\"" $(CURDIR)/pyproject.toml

## python-keycloak 5.7.0+dfsg

=== debian/changelog ===
python-keycloak (5.7.0+dfsg-1) unstable; urgency=low

  * New upstream version 5.7.0+dfsg
  * Bump Standards-Version to 4.7.2.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Sun, 10 Aug 2025 20:16:20 +0000

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  python3-recommonmark (>=0.7.1~) <!nocheck>,
  python3-requests,
  python3-requests-toolbelt <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/marcospereirampj/python-keycloak
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-keycloak
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-keycloak.git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%, pgpmode=none, repack, repacksuffix=+dfsg, dversionmangle=auto, compression=xz" \
  https://github.com/marcospereirampj/python-keycloak/tags \
  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
